%-- Wllas Code --%
clc
clear all

%-- Generate the Hudmard Matrix --%
%-- Generate the Hudmard Matrix --%
U = 3;
n = 0;
N = 2 ^ n;
while U > N
    n = n + 1;
    N = 2 ^ n;
end
%-- Building the Hudmard Matrix --%
H=[0];
for i = 1 : n;
    Hc = -1*H + 1;
    H = [ H , H ; H , Hc ];
end
%-- Mapping 0==> -1 and 1==> +1 --%
H = 2 * H;
H = H - 1;